<?php
/*
Plugin Name: Move Admin Notices to Footer
Description: Перемещает системные уведомления (admin_notices) в футер страницы.
Version: 1.0
Author: Ваше Имя
*/

// Запрещаем прямой доступ к файлу
if (!defined('ABSPATH')) {
    exit;
}

// Подключаем функционал плагина
add_action('admin_init', 'move_admin_notices_to_footer_init');

function move_admin_notices_to_footer_init() {
    // Удаляем уведомления из их стандартного места
    remove_all_actions('admin_notices');

    // Выводим уведомления в футере
    add_action('admin_footer', 'output_admin_notices_in_footer');
}

// Вывод уведомлений в футере
function output_admin_notices_in_footer() {
    // Получаем все зарегистрированные уведомления
    do_action('admin_notices');
}